Subject: bug#6520: closed (Re: bug#8246: dired-create-directory should say at least one word in the case that it fails to do what it is supposed to)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Mar 2011 22:09:03 +0000

Your bug report

#8246: dired-do-create-files didn't even check that there was a file with the same name already there

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8246: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8246
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8246: dired-create-directory should say at least one word in the case that it fails to do what it is supposed to
From: Chong Yidong <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 19 Mar 2011 18:08:01 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

> Please please please implement similar warnings to
>
>    # mkdir /
>    mkdir: cannot create directory `/': File exists
>    # mkdir /dev/null
>    mkdir: cannot create directory `/dev/null': File exists
>
> Even one murmur would be great!
>
> for
> + runs the command dired-create-directory

Fair enough.  Added to trunk.

Subject: dired-do-create-files didn't even check that there was a file with the same name already there
From: [email-masked]
To: [email-masked]
Date: Sun, 27 Jun 2010 13:14:14 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

dired-do-create-files: Marked Move: target must be a directory: /tmp/e [2 times]
But I just created that directory with the + command didn't I?
What went wrong?
Well,
The plus command, dired-create-directory, didn't even crap out with an
error that there happened to be a regular file called /tmp/e !

Can you believe that?

Sorry I can't find the previous bug #.

emacs-snapshot:
  Installed: 1:20100619-2